Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.geoloc.service.fulltextsearch
Class OutputstreamResponseWrapper

    java.lang.Object
      org.apache.solr.client.solrj.ResponseParser
          com.gisgraphy.domain.geoloc.service.fulltextsearch.OutputstreamResponseWrapper

    public class OutputstreamResponseWrapper

extends org.apache.solr.client.solrj.ResponseParser

Wrapper that must be used when we want the fulltext query to be serialize into an output stream

Since:
  solr 1.3
Author:
  David Masclet

Constructor Summary
`OutputstreamResponseWrapper(java.io.OutputStream outputStream, java.lang.String writerType)`

Method Summary
`java.lang.String` | `getEncoding()`
`java.lang.String` | `getWriterType()`
`org.apache.solr.common.util.NamedList<java.lang.Object>` | `processResponse(java.io.InputStream inputStream, java.lang.String encoding)`
`org.apache.solr.common.util.NamedList<java.lang.Object>` | `processResponse(java.io.Reader reader)`

Methods inherited from class org.apache.solr.client.solrj.ResponseParser
`getVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutputstreamResponseWrapper

    public OutputstreamResponseWrapper(java.io.OutputStream outputStream,
                                       java.lang.String writerType)

Parameters:
  `outputStream` - The OutpuStream to serialize the fulltext response in
  `writerType` - The writerType (aka : the wt parameter)

Method Detail

### getWriterType

    public java.lang.String getWriterType()

  Specified by:
    `getWriterType` in class `org.apache.solr.client.solrj.ResponseParser`

### processResponse

    public org.apache.solr.common.util.NamedList<java.lang.Object> processResponse(java.io.Reader reader)

  Specified by:
    `processResponse` in class `org.apache.solr.client.solrj.ResponseParser`

### processResponse

    public org.apache.solr.common.util.NamedList<java.lang.Object> processResponse(java.io.InputStream inputStream,
                                                                                   java.lang.String encoding)

  Specified by:
    `processResponse` in class `org.apache.solr.client.solrj.ResponseParser`

### getEncoding

    public java.lang.String getEncoding()

  Returns:
    The encoding of the response

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.